Přihlásit se

migrace 2.5 na 3.4.6 a chyba

19. pro 2015 20:44 - 19. pro 2015 20:44 #124931 od Michal
migrace 2.5 na 3.4.6 a chyba vytvořil uživatel Michal
Zdravim ,
mal som joomlu 2.28 a premigroval som na 3.4.6, vsetko prebehlo ok ale zacala sa mi objavovat chyba na FE:
Code:
Strict standards: Non-static method JApplicationCms::getMenu() should not be called statically, assuming $this from incompatible context in C:\projekty\elms_zaloha\libraries\cms\application\site.php on line 272
niekto by mohol tvrdit ze staci vypnut hlasenie chyb - ok po vypnuti sa to strati a web funguje ale rad by som to odstranil uplne zial neviem ako. Ako je vidiet v tejto hlaske nie je to problem iba sablony....

ospravedlnujem sa ak tu podobny topic uz je ziaden som nenasiel.... predom dakujem za odpovede....

Pro možnost přispívání do fóra se přihlaste.

19. pro 2015 21:58 #124932 od Cony
Odpověď od Cony
Některé z rozšíření, které používáte (dost pravděpodobně šablona) používá ve svém kódu něco jako
Code:
JApplication::getMenu()
správně by mělo být
Code:
JFactory::getApplication()->getMenu()

Pro možnost přispívání do fóra se přihlaste.

02. led 2016 22:48 #125056 od Michal
Odpověď od Michal
dakujem zabralo to :)

Pro možnost přispívání do fóra se přihlaste.

Powered by Fórum